<app-header
    title="Cas d'études"
    subTitle="Information detaillée"
    [border]="false"
></app-header>

<ion-content>
    <!-- Cas -->
    <div
        class="px-14 border-top-1 border-0 border-solid has-border-gray pt-10 ion-margin-top"
    >
        <app-case [case]="case"></app-case>
    </div>

    <!-- Information cas -->
    <app-tile>
        <!-- Header - Case information -->
        <ion-row header class="ion-align-items-center">
            <!-- User Icon -->
            <ion-col size="auto" class="pb-0">
                <ion-icon
                    name="person-outline"
                    color="primary"
                    class="size-20"
                ></ion-icon>
            </ion-col>
            <!-- Title -->
            <ion-col>
                <ion-text class="is-dark size-13 weight-600"
                    >Description</ion-text
                >
            </ion-col>
        </ion-row>
        <!-- Description -->
        <div class="my-15 pl-15" content>
            <ion-text
                class="weight-200 has-text-secondary size-12"
                color="grey-black-thin"
            >
                {{ case.description }}
            </ion-text>
        </div>
    </app-tile>

    <div class="mx-14">
        <!-- Image Cas-->
        <ion-row class="ion-align-items-center" data-test-id="file-header">
            <ion-col size="auto" class="py-0">
                <ion-icon
                    size="large"
                    name="image"
                    class="is-green-dove"
                ></ion-icon>
            </ion-col>
            <ion-col class="py-0">
                <ion-label
                    class="size-14 has-text-secondary mt-10 weight-400"
                    color="dove-dark"
                >
                    Fichiers
                </ion-label>
            </ion-col>
        </ion-row>

        <!-- Slide cas image-->
        <app-img-list [data]="medias"> </app-img-list>
    </div>
</ion-content>

<ion-footer class="ion-no-border ion-padding-top pb-12">
    <!-- Close cas  -->
    <ion-row class="ion-justify-content-center ion-align-items-center">
        <ion-col class="is-white" size="8">
            <app-button
                *ngIf="case.status === CaseStatus.open 
                    && case.agent.id === userService.user.id"
                data-test-id="button-close"
                title="Fermer le cas"
                (click)="close()"
                (keyPress)="close()"
                shape="round"
                expand="full"
                class="mb-10"
            >
            </app-button>
            <app-button
                title="Diagnostic"
                routerLink="/tabs/cases/diagnostics"
                expand="full"
                fill="clear"
                class="flex is-primary radius-30 ion-justify-content-center border-1 border-solid"
                [queryParams]="{caseId: case.id}"
            >
            </app-button>
        </ion-col>
    </ion-row>
</ion-footer>
